#
# Copyright (c) 2018 Wind River Systems, Inc.
#
# SPDX-License-Identifier: Apache-2.0
#

# bash completion for Titanium Cloud fm commands

_fm_opts="" # lazy init
_fm_flags="" # lazy init
_fm_opts_exp="" # lazy init
_fm()
{
    local cur prev kbc
    COMPREPLY=()
    cur="${COMP_WORDS[COMP_CWORD]}"
    prev="${COMP_WORDS[COMP_CWORD-1]}"

    if [ "x$_fm_opts" == "x" ] ; then
        kbc="`fm bash-completion | sed -e "s/ -h / /"`"
        _fm_opts="`echo "$kbc" | sed -e "s/--[a-z0-9_-]*//g" -e "s/[ ][ ]*/ /g"`"
        _fm_flags="`echo " $kbc" | sed -e "s/ [^-][^-][a-z0-9_-]*//g" -e "s/[ ][ ]*/ /g"`"
        _fm_opts_exp="`echo $_fm_opts | sed -e "s/[ ]/|/g"`"
    fi

    if [[ " ${COMP_WORDS[@]} " =~ " "($_fm_opts_exp)" " && "$prev" != "help" ]] ; then
        COMPREPLY=($(compgen -W "${_fm_flags}" -- ${cur}))
    else
        COMPREPLY=($(compgen -W "${_fm_opts}" -- ${cur}))
    fi
    return 0
}
complete -F _fm fm
